From 6b95957de0ca356e566ac82924b28544effb3579 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Fri, 9 Sep 2022 20:13:13 +0200
Subject: [PATCH] Replace #if QT_CONFIG(dbus) with #ifndef QT_NO_DBUS

Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
---
 src/gui/kernel/qguiapplication.cpp                 |  2 +-
 .../services/genericunix/qgenericunixservices.cpp  | 14 +++++++-------
 2 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/src/gui/kernel/qguiapplication.cpp b/src/gui/kernel/qguiapplication.cpp
index 87643a3a39..e191420303 100644
--- a/src/gui/kernel/qguiapplication.cpp
+++ b/src/gui/kernel/qguiapplication.cpp
@@ -263,7 +263,7 @@ static void initThemeHints()
 
 static bool checkNeedPortalSupport()
 {
-#if QT_CONFIG(dbus)
+#ifndef QT_NO_DBUS
     return !QStandardPaths::locate(QStandardPaths::RuntimeLocation, QLatin1String("flatpak-info")).isEmpty() || qEnvironmentVariableIsSet("SNAP");
 #else
     return false;
diff --git a/src/platformsupport/services/genericunix/qgenericunixservices.cpp b/src/platformsupport/services/genericunix/qgenericunixservices.cpp
index 2abe039126..69ff0de916 100644
--- a/src/platformsupport/services/genericunix/qgenericunixservices.cpp
+++ b/src/platformsupport/services/genericunix/qgenericunixservices.cpp
@@ -54,7 +54,7 @@
 #include <QtGui/QGuiApplication>
 #include <QtGui/QWindow>
 
-#if QT_CONFIG(dbus)
+#ifndef QT_NO_DBUS
 // These QtCore includes are needed for xdg-desktop-portal support
 #include <QtCore/private/qcore_unix_p.h>
 
@@ -185,7 +185,7 @@ static inline bool launch(const QString &launcher, const QUrl &url)
     return ok;
 }
 
-#if QT_CONFIG(dbus)
+#ifndef QT_NO_DBUS
 static inline bool checkNeedPortalSupport()
 {
     return !QStandardPaths::locate(QStandardPaths::RuntimeLocation, QLatin1String("flatpak-info")).isEmpty() || qEnvironmentVariableIsSet("SNAP");
@@ -392,7 +392,7 @@ private:
 
 QGenericUnixServices::QGenericUnixServices()
 {
-#if QT_CONFIG(dbus)
+#ifndef QT_NO_DBUS
     if (qEnvironmentVariableIntValue("QT_NO_XDG_DESKTOP_PORTAL") > 0) {
         return;
     }
@@ -417,7 +417,7 @@ QGenericUnixServices::QGenericUnixServices()
 
 QPlatformServiceColorPicker *QGenericUnixServices::colorPicker(QWindow *parent)
 {
-#if QT_CONFIG(dbus)
+#ifndef QT_NO_DBUS
     // Make double sure that we are in a wayland environment. In particular check
     // WAYLAND_DISPLAY so also XWayland apps benefit from portal-based color picking.
     // Outside wayland we'll rather rely on other means than the XDG desktop portal.
@@ -441,7 +441,7 @@ QByteArray QGenericUnixServices::desktopEnvironment() const
 bool QGenericUnixServices::openUrl(const QUrl &url)
 {
     if (url.scheme() == QLatin1String("mailto")) {
-#if QT_CONFIG(dbus)
+#ifndef QT_NO_DBUS
         if (checkNeedPortalSupport()) {
             QDBusError error = xdgDesktopPortalSendEmail(url);
             if (isPortalReturnPermanent(error))
@@ -453,7 +453,7 @@ bool QGenericUnixServices::openUrl(const QUrl &url)
         return openDocument(url);
     }
 
-#if QT_CONFIG(dbus)
+#ifndef QT_NO_DBUS
     if (checkNeedPortalSupport()) {
         QDBusError error = xdgDesktopPortalOpenUrl(url);
         if (isPortalReturnPermanent(error))
@@ -470,7 +470,7 @@ bool QGenericUnixServices::openUrl(const QUrl &url)
 
 bool QGenericUnixServices::openDocument(const QUrl &url)
 {
-#if QT_CONFIG(dbus)
+#ifndef QT_NO_DBUS
     if (checkNeedPortalSupport()) {
         QDBusError error = xdgDesktopPortalOpenFile(url);
         if (isPortalReturnPermanent(error))
-- 
2.38.1

